## octave 5.2.0

=== debian/changelog ===
octave (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0
  * Replace libopenblas-base by libopenblas0 in Recommends
  * d/copyright: reflect upstream changes
  * Bump S-V to 4.5.0
  * Do not Build-Depend on default-jdk on archs that do not have it.
    Also remove always-build-octave-jar.patch. Rather make build-indep rules
    fail on archs for which we do not support Java.
    Thanks to Samuel Thibault (Closes: #947959)
  * Remove texinfo.patch, no longer needed since Automake 1.16 is the default
  * Remove unused d/source/include-binaries
  * Use the .patch extension for all patches

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Feb 2020 13:05:00 +0100

octave (5.1.0-4) unstable; urgency=medium

  * The liboctaveN package provides now the virtual package octave-abi-MM
  * d/s/options: Add *.qch and *.qhc to the list of ignored files

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 31 Oct 2019 02:02:46 -0300

octave (5.1.0-3) unstable; urgency=medium

  * On mipsel, disable debugging symbols.
    Otherwise, it FTBFS because the assembler hits the virtual space memory
    limit of 2Gb.
  * Drop provisions for the now obsolete mips architecture

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 01 Oct 2019 21:34:08 +0200

octave (5.1.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: add entry for etc/fonts/* (Closes: #926047)
  * Bump to S-V 4.4.1

  [ Rafael Laboissiere ]
  * d/control: Build-depend on texlive-plain-generic, instead of
    -generic-recommended (Closes: #932975)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Sep 2019 22:03:24 +0200

octave (5.1.0-1) experimental; urgency=medium

  * New upstream version 5.1.0
  * Update d/copyright

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Feb 2019 18:01:12 +0100

octave (5.0.91-1) experimental; urgency=medium

  * New upstream release candidate
  * Update d/copyright
  * unimplemented-functions.patch: drop patch, applied upstream
  * Bump SONAME to liboctave7
  * debian_missing_handler.m: point to octave-doc instead of octave-info
  * d/upstream/signing-key.asc: shrink key to a minimal version
  * Bump to debhelper compat level 12
    + disable dh_swz, it fails with a cryptic error message
    + some stuff is now installed under /usr/libexec
  * Add --fail-missing flag to dh_missing, so that we don't forget something.
    As a consequence, we now ship octave.pc and octinterp.pc in liboctave-dev.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 22 Feb 2019 16:26:56 +0100
