=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://ftpmirror.gnu.org/octave/octave@ANY_VERSION@@ARCHIVE_EXT@
