## octave 6.1.1~hg.2021.01.26

=== debian/changelog ===
octave (6.1.1~hg.2021.01.26-1) unstable; urgency=medium

  * New upstream version 6.1.1~hg.2021.01.26
  * adjust-hg-version.patch: update for new upstream snapshot

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Jan 2021 12:47:31 +0100

octave (6.1.1~hg.2020.12.27-3) unstable; urgency=medium

  * Fix smoke autopkgtest for mercurial snapshot versioning scheme
  * Restore build dependency on sundials

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Jan 2021 13:05:13 +0100

octave (6.1.1~hg.2020.12.27-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Jan 2021 06:25:35 -0300

octave (6.1.1~hg.2020.12.27-1) experimental; urgency=medium

  * New upstream version 6.1.1~hg.2020.12.27
  * d/p/drop_versioned_binaries.patch: Refresh for new upstream version
  * d/p/adjust-hg-version.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 14:35:47 -0300

octave (6.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 10:07:00 +0100

octave (6.1.0-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 6.1.0
  * d/copyright: reflect upstream changes
  * Bump S-V to 4.5.1
  * Drop transitional packages octave-htmldoc and octave-info

  [ Rafael Laboissière ]
  * d/octave-common.lintian-overrides: Add override for extra-license-file
  * d/octave-common.lintian-overrides: Add override for
    image-file-has-unexpected-name
  * d/octave.lintian-overrides: Use new tag name exit-in-shared-library

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Nov 2020 16:46:35 +0100

octave (6.0.90-1) experimental; urgency=medium

  * New upstream version 6.0.90
    - fix stack overflow in Java process reaper (Closes: #961681)
  * d/copyright: reflect upstream changes.
    Since copyright notices have been simplified, switch back to a manual method
    of aggregating them.
  * load-hdf5-string-crash.patch: drop patch, applied upstream
  * Bump SONAME to liboctave8

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Sep 2020 15:47:23 +0200

octave (5.2.0-3) unstable; urgency=medium

  * Rename /etc/octave.conf to /etc/octaverc, for consistency with upstream
    naming.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 12 Jun 2020 10:15:25 +0200

octave (5.2.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * /etc/octave.conf now corresponds to the site-specific octaverc.
    Previously, it would correspond to the version-specific octaverc. The latter
    is not really meant to be locally modified.
  * Move debian_missing_handler.m to site-specific directory.
    This is more logical since it is now called from the site-specific octaverc.
    Also, this emphasizes the fact that it’s a Debian customization.
  * Bump to debhelper 13
    — drop B-D to dh-exec, instead use new variable substitution mechanism
    — dh_missing now defaults to --fail-missing
    — simplify override_dh_auto_test rule
  * d/rules:
    — enable dh_dwz, it seems to work now
    — simplify using debhelper 12.8’s execute_after_* rules
  * d/control: add Breaks against octave-nlopt < 2.6.1-8~
    Former version of the package would need recompiling against every new
    Octave version.
  * Cosmetic fixes to capitalization of MATLAB®
  * d/upstream/metadata: various improvements

  [ Rafael Laboissière ]
  * d/p/load-hdf5-string-crash.patch: New patch.
    Thanks to Elvis Stansvik for the patch
    (Closes: #959109)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 May 2020 22:43:17 +0200
