## octave 6.2.0

=== debian/changelog ===
octave (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * d/copyright: reflect upstream changes
  * adjust-hg-version.patch: drop patch, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Mar 2021 12:22:24 +0100
