=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: octave
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>
+           Rafael Laboissière <rafael@debian.org>
 Section: math
 Priority: optional
 Build-Depends: automake,
                bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                default-jdk [!hppa !hurd-any !kfreebsd-any],
                desktop-file-utils,
-               dh-exec,
                epstool,
                fig2dev,
                flex,
@@ -42,6 +42,7 @@
                librsvg2-bin,
                libsndfile1-dev,
                libsuitesparse-dev,
+               libsundials-dev,
                libxft-dev,
                portaudio19-dev,
                pstoedit,
@@ -55,8 +56,7 @@
                unzip,
                xauth,
                zip
-Build-Conflicts: libsundials-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -68,7 +68,7 @@
          ${misc:Depends},
          texinfo,
          octave-common (= ${source:Version}),
-         liboctave7 (= ${binary:Version})
+         liboctave8 (= ${binary:Version})
 Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
             libopenblas0 | libatlas3-base,
             pstoedit,
@@ -76,9 +76,10 @@
             default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc !riscv64],
             octave-doc
 Suggests: liboctave-dev
-Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6
+Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6, liboctave7,
+        octave-nlopt (<< 2.6.1-8~)
 Description: GNU Octave language for numerical computations
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
@@ -90,7 +91,7 @@
 Recommends: fonts-freefont-otf
 Multi-Arch: foreign
 Description: architecture-independent files for octave
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
@@ -110,7 +111,7 @@
 Enhances: octave
 Multi-Arch: foreign
 Description: documentation of the GNU Octave language
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
@@ -125,27 +126,7 @@
  This package is required by the 'help -i' command at the Octave command-line
  and by the help documentation browser in the graphical interface.
 
-Package: octave-htmldoc
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         octave-doc
-Multi-Arch: foreign
-Description: transitional package for Octave HTML documentation
- This is a transitional dummy package for the Octave HTML
- documentation. It can be safely removed.
-
-Package: octave-info
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         octave-doc
-Multi-Arch: foreign
-Description: transitional package for Octave info documentation
- This is a transitional dummy package for the for Octave info
- documentation. It can be safely removed.
-
-Package: liboctave7
+Package: liboctave8
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -154,7 +135,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Provides: ${octave-abi:Provides}
 Description: shared libraries of the GNU Octave language
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
@@ -165,7 +146,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         liboctave7 (= ${binary:Version}),
+         liboctave8 (= ${binary:Version}),
          octave (= ${binary:Version}),
          libreadline-dev | libreadline-gplv2-dev,
          libncurses5-dev,
@@ -179,7 +160,7 @@
          g++
 Enhances: octave
 Description: development files for the GNU Octave language
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
