=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-# Needed by octave-common.links
-include /usr/share/dpkg/pkg-info.mk
-DEB_VERSION_UPSTREAM := $(subst ~rc,-rc,$(DEB_VERSION_UPSTREAM))
-export DEB_VERSION_UPSTREAM
 
 # Configure default Java paths using javahelper except on some archs.
 # We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
@@ -77,18 +72,15 @@
 
 # dh_auto_test tries to run "make test", so override it
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make check
 	# Run builtin-features to ensure important features are included
 	env OCTAVE=./run-octave debian/tests/builtin-features
-endif
 
 # override normal dh_compress call to avoid compressing .pdf files
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# Delete .la files (for liboctgui)
 	find debian/tmp -name '*.la' -delete
 
@@ -97,8 +89,7 @@
 # when compiling the output info (using @ifnotinfo macro).
 # We used to rename them by prefixing their name with "octave-", but this was breaking some
 # info files (see #816534).
-override_dh_installinfo-indep:
-	dh_installinfo
+execute_after_dh_installinfo-indep:
 	for f in `grep -a src=\".*\" doc/interpreter/*.info* | sed 's/.*src="\([^"]*\)".*/\1/'`; do \
 		cp doc/interpreter/$$f debian/octave-doc/usr/share/info/; \
 	done
@@ -106,9 +97,8 @@
 # Strip the executable bit from the .oct files
 # Cannot be done in dh_fixperms, as then dh_strip and dh_shlibdeps don't take the
 # .oct files into account
-override_dh_shlibdeps:
-	dh_shlibdeps
-	find debian/octave -name '*.oct' -print0 2>/dev/null | xargs -0r chmod 644
+execute_after_dh_shlibdeps:
+	find debian/octave -name '*.oct' -exec chmod 644 '{}' ';'
 
 # Avoid useless call of ldconfig in the triggers script of the octave
 # package
@@ -116,13 +106,6 @@
 	dh_makeshlibs --package=octave --noscripts
 	dh_makeshlibs --no-package=octave
 
-# Disable dwz, it fails as of 5.0.91-1
-override_dh_dwz:
-
-# Ensure we package everything
-override_dh_missing:
-	dh_missing --fail-missing
-
 # Make liboctaveN provide the virtual package octave-abi-MM
 override_dh_gencontrol:
 	dh_gencontrol -- -Voctave-abi:Provides=octave-abi-$(API_VERSION)
