## octave 6.4.0

=== debian/changelog ===
octave (6.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 16 Jan 2022 21:26:26 +0100

octave (6.4.0-1) experimental; urgency=medium

  * New upstream version 6.4.0
  * d/control: fix indentation in description of octave-doc

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 30 Nov 2021 11:06:00 +0100

octave (6.3.0-1) experimental; urgency=medium

  * New upstream version 6.3.0
  * Drop liboctave8 package.
    In octave 6.3.0, the SOVERSION of liboctinterp is bumped to 9, while
    liboctave remains at 8, so it’s no longer possible to distribute them in the
    same liboctave8 package. However, since .oct files no longer explicitly link
    against those shared libraries (since Octave 5), we are no longer forced to
    ship them as public libraries, and we can make them private (as does
    upstream). Consequently:
    – drop install_libraries_publically.patch
    – move the octave-abi-NN Provides to the main octave package
  * Rename liboctave-dev to octave-dev.
    This seems more logical, since there is no liboctave package anymore. Keep
    liboctave-dev as transitional package though.
  * Bump S-V to 4.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Sep 2021 21:00:39 +0200
