=== debian/control ===
--- 
+++ 
@@ -56,7 +56,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -68,15 +68,15 @@
          ${misc:Depends},
          texinfo,
          octave-common (= ${source:Version}),
-         liboctave8 (= ${binary:Version})
 Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
             libopenblas0 | libatlas3-base,
             pstoedit,
             epstool,
             default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc !riscv64],
             octave-doc
-Suggests: liboctave-dev
-Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6, liboctave7,
+Suggests: octave-dev
+Provides: ${octave-abi:Provides}
+Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6, liboctave7, liboctave8,
         octave-nlopt (<< 2.6.1-8~)
 Description: GNU Octave language for numerical computations
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
@@ -117,8 +117,8 @@
  .
  This package provides the following documentation in HTML, PDF and Info
  formats:
- - the main user manual
- - a document on the C++ classes used internally by Octave.
+  - the main user manual
+  - a document on the C++ classes used internally by Octave.
  .
  It also includes a reference card in PDF format and in a4, letter and legal
  paper sizes.
@@ -126,27 +126,11 @@
  This package is required by the 'help -i' command at the Octave command-line
  and by the help documentation browser in the graphical interface.
 
-Package: liboctave8
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Provides: ${octave-abi:Provides}
-Description: shared libraries of the GNU Octave language
- Octave is a (mostly MATLAB® compatible) high-level language, primarily
- intended for numerical computations. It provides a convenient command-line
- interface for solving linear and nonlinear problems numerically.
- .
- This package provides the shared libraries used by the interpreter.
-
-Package: liboctave-dev
+Package: octave-dev
 Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         liboctave8 (= ${binary:Version}),
          octave (= ${binary:Version}),
          libreadline-dev | libreadline-gplv2-dev,
          libncurses5-dev,
@@ -166,3 +150,12 @@
  .
  This package provides the header files and the mkoctfile script used for
  extending Octave via compiled code.
+
+Package: liboctave-dev
+Architecture: all
+Section: oldlibs
+Depends: ${misc:Depends},
+         octave-dev
+Description: transitional dummy package for GNU Octave development
+ The only purpose of this package is to ensure a smooth upgrade to the new
+ 'octave-dev' package which replaces 'liboctave-dev'. It can be safely removed.
