=== debian/rules ===
--- 
+++ 
@@ -106,6 +106,6 @@
 	dh_makeshlibs --package=octave --noscripts
 	dh_makeshlibs --no-package=octave
 
-# Make liboctaveN provide the virtual package octave-abi-MM
+# Provide the virtual package octave-abi-MM
 override_dh_gencontrol:
 	dh_gencontrol -- -Voctave-abi:Provides=octave-abi-$(API_VERSION)
