## octave 7.2.0

=== debian/changelog ===
octave (7.2.0-1) unstable; urgency=medium

  * New upstream version 7.2.0
    In particular, fixes FTBFS due to missing header in randmtzig.cc.
    (Closes: #1016271)
  * Overhaul lintian overrides

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Jul 2022 22:13:01 +0200

octave (7.1.90-1) experimental; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

  [ Sébastien Villemot ]
  * New upstream version 7.1.90
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Jun 2022 17:51:22 +0200

octave (7.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Apr 2022 12:16:00 +0200

octave (7.1.0-1) experimental; urgency=medium

  * New upstream version 7.1.0
  * buffer-overflow.patch, drop-mutable-keyword.patch: drop patches,
    applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Apr 2022 17:47:14 +0200

octave (7.0.92-3) experimental; urgency=medium

  * buffer-overflow.patch: new patch taken from upstream

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Apr 2022 10:55:34 +0200

octave (7.0.92-2) experimental; urgency=medium

  * drop-mutable-keyword.patch: new patch taken from upstream
  * d/rules: no longer pass --disable-jit to configure, since the JIT has been
    removed

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 25 Mar 2022 18:38:07 +0100

octave (7.0.92-1) experimental; urgency=medium

  * New upstream version 7.0.92
  * Enable java on riscv64
  * Fix day-of-week for changelog entry 2.1.31-2.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 19 Mar 2022 16:54:06 +0100

octave (7.0.90-1) experimental; urgency=medium

  * New upstream version 7.0.90
  * d/copyright: reflect upstream changes
  * Add rapidjson-dev to Build-Depends (needed for new jsondecode/jsonencode)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Jan 2022 15:38:44 +0100
