## octave 7.3.0

=== debian/changelog ===
octave (7.3.0-2) unstable; urgency=medium

  * d/control: add missing Breaks+Replaces of octave-dev on old liboctave-dev
    (Closes: #1033011)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Mar 2023 17:55:33 +0100

octave (7.3.0-1) unstable; urgency=medium

  * New upstream version 7.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Nov 2022 09:29:53 +0100
