=== debian/control ===
--- 
+++ 
@@ -49,6 +49,7 @@
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
+               rapidjson-dev,
                texinfo,
                texlive-fonts-recommended,
                texlive-latex-base,
@@ -56,7 +57,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -72,7 +73,7 @@
             libopenblas0 | libatlas3-base,
             pstoedit,
             epstool,
-            default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc !riscv64],
+            default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc],
             octave-doc
 Suggests: octave-dev
 Provides: ${octave-abi:Provides}
@@ -143,6 +144,8 @@
          gcc,
          g++
 Enhances: octave
+Breaks: liboctave-dev (<< 6.3.0-1)
+Replaces: liboctave-dev (<< 6.3.0-1)
 Description: development files for the GNU Octave language
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
