=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # Configure default Java paths using javahelper except on some archs.
 # We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
-# The following arches do not have OpenJDK 9: hppa, hurd-*, kfreebsd-*, riscv64
+# The following arches do not have OpenJDK 9: hppa, hurd-*, kfreebsd-*
 # The following arches have crashes with Java
 # - as of OpenJDK 9: armel
 # - as of OpenJDK 10: mipsel, powerpc
@@ -13,7 +13,7 @@
 # of $(NO_JDK_ARCHS) (it’s the archs that really do not have a JDK, see also
 # #947959).
 include /usr/share/dpkg/architecture.mk
-NO_JDK_ARCHS := armel hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc riscv64
+NO_JDK_ARCHS := armel hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 WITH_JAVA_FLAGS := --disable-java
 else
@@ -21,11 +21,6 @@
 JAVA_LIBDIR := $(shell if test -d $(JAVA_HOME)/lib/client; then echo $(JAVA_HOME)/lib/client; else echo $(JAVA_HOME)/lib/server; fi)
 WITH_JAVA_FLAGS := --with-java-homedir=$(JAVA_HOME) --with-java-libdir=$(JAVA_LIBDIR)
 endif
-
-# Disable the experimental JIT unconditionally for now. The LLVM library
-# interface is unstable. Linking with LLVM may also cause conflicts with other
-# libraries, for example the mesa graphics stack which also uses LLVM.
-JIT_FLAG := --disable-jit
 
 # Needed to force the serial version of HDF5 even if other flavours are
 # installed.
@@ -62,7 +57,7 @@
 	dh_auto_configure -- \
 		--with-blas=blas --enable-openmp \
 		--with-system-freefont=/usr/share/fonts/opentype/freefont \
-		$(WITH_JAVA_FLAGS) $(JIT_FLAG) $(HDF5_FLAGS) $(DOC_FLAG)
+		$(WITH_JAVA_FLAGS) $(HDF5_FLAGS) $(DOC_FLAG)
 
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 override_dh_auto_build-indep:
