## octave 8.3.0

=== debian/changelog ===
octave (8.3.0-2) unstable; urgency=medium

  * d/p/mkoctfile-skip-options.patch: New patch.
    Thanks to Markus Mützel <markus.muetzel@gmx.de> (Closes: #1050082)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Aug 2023 06:02:05 -0300

octave (8.3.0-1) unstable; urgency=medium

  * New upstream version 8.3.0
  * suitesparse7-part{1,2}.patch: drop patches, applied upstream
  * Update lintian override info format in d/octave.lintian-overrides on line 3.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Aug 2023 20:18:54 +0200

octave (8.2.0-6) unstable; urgency=medium

  * Re-enable SPQR on 32-bit architectures.
    suitesparse 1:7.1.0+dfsg-3 fixes the issue.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Aug 2023 18:44:22 +0200

octave (8.2.0-5) unstable; urgency=medium

  * Disable SPQR on 32-bit architectures.
    This is a (hopefully temporary) workaround for the breakage of suitesparse 7
    on those architectures.
    Also add a new suitesparse7-patch2.patch. (Closes: #1041460)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jul 2023 14:02:56 +0200

octave (8.2.0-4) unstable; urgency=medium

  * d/control: as an alternative to libopenblas0, recommend libblis4
    instead of libatlas3-base
  * suitesparse7.patch: new patch taken from upstream.
    Fixes compilation against suitesparse 7.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Jul 2023 19:53:04 +0200

octave (8.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 01 Jul 2023 10:57:11 +0200

octave (8.2.0-2) experimental; urgency=medium

  [ Rafael Laboissière ]
  * d/debian_missing_handler.m: Update name of package liboctave-dev to
    octave-dev

  [ Sébastien Villemot ]
  * d/rules: enable link-time optimizations (LTO)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 Jun 2023 20:42:13 +0200

octave (8.2.0-1) experimental; urgency=medium

  * New upstream version 8.2.0
  * d/control: add missing Breaks+Replaces of octave-dev on old liboctave-dev
    (Closes: #1033011)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 15 Apr 2023 20:10:08 +0200

octave (8.1.0-1) experimental; urgency=medium

  * New upstream version 8.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Mar 2023 17:55:11 +0100

octave (8.0.90-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 8.0.90
  * d/copyright: reflect upstream changes
  * Build against PCRE2, now that it is supported (Closes: #1000011)
  * README.Debian: replace liboctave-dev by octave-dev
  * Replace Depends on libgl1-mesa-dev by libgl-dev
  * Replace (Build-)Depends on libncurses5-dev by libncurses-dev
  * Replace Build-Depends on libfontconfig1-dev by libfontconfig-dev
  * Bump S-V to 4.6.2
  * Add lintian overrides for national encoding tag in octave-common
  * Pass --disable-rpath to configure script

  [ Rafael Laboissière ]
  * d/octave-common.lintian-overrides: Add override for
    package-contains-documentation-outside-usr-share-doc
  * Add overrides for debian-news-entry-has-unknown-version
  * d/octave-dev.lintian-overrides: Add override for
    hardening-no-fortify-functions

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Jan 2023 11:52:20 +0100
