=== debian/control ===
--- 
+++ 
@@ -25,15 +25,15 @@
                libcurl4-gnutls-dev,
                libfftw3-dev,
                libfltk1.3-dev,
-               libfontconfig1-dev,
+               libfontconfig-dev,
                libgl2ps-dev,
                libglpk-dev,
                libglu1-mesa-dev,
                libgraphicsmagick++1-dev,
                libhdf5-dev,
                liblapack-dev,
-               libncurses5-dev,
-               libpcre3-dev,
+               libncurses-dev,
+               libpcre2-dev,
                libqhull-dev,
                libqrupdate-dev,
                libqscintilla2-qt5-dev,
@@ -57,7 +57,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -70,7 +70,7 @@
          texinfo,
          octave-common (= ${source:Version}),
 Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
-            libopenblas0 | libatlas3-base,
+            libopenblas0 | libblis4,
             pstoedit,
             epstool,
             default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc],
@@ -134,9 +134,9 @@
          ${misc:Depends},
          octave (= ${binary:Version}),
          libreadline-dev | libreadline-gplv2-dev,
-         libncurses5-dev,
+         libncurses-dev,
          libhdf5-dev | libhdf5-openmpi-dev | libhdf5-mpich-dev,
-         libgl1-mesa-dev | libgl-dev,
+         libgl-dev,
          libblas-dev | libblas.so,
          liblapack-dev | liblapack.so,
          libfftw3-dev,
