=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS=optimize=+lto
 
 # Configure default Java paths using javahelper except on some archs.
 # We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
@@ -36,7 +38,7 @@
 endif
 
 # On mipsel, disable debugging symbols. Otherwise, it FTBFS because the
-# assembler hits the virtual space memory limit of 2Gb. See e.g.
+# assembler hits the virtual space memory limit of 2GB. See e.g.
 # https://buildd.debian.org/status/fetch.php?pkg=octave&arch=mipsel&ver=5.1.0-2&stamp=1569871716
 # See also this thread:
 # https://lists.debian.org/debian-devel/2019/08/msg00171.html
@@ -57,6 +59,7 @@
 	dh_auto_configure -- \
 		--with-blas=blas --enable-openmp \
 		--with-system-freefont=/usr/share/fonts/opentype/freefont \
+		--disable-rpath \
 		$(WITH_JAVA_FLAGS) $(HDF5_FLAGS) $(DOC_FLAG)
 
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
