## octave 8.4.0

=== test/pkg/mfile_basic_test/DESCRIPTION ===
Name: mfile_basic_test
Version: 0.1.0
Date: 2017-12-07
Author: hopefully various authors
Maintainer: hopefully some of those authors.
Title: Basic Example Package
Description: Basic package structure with only m-files.
Depends: octave (>= 4.2.1)
License: GPLv3+
# BuildRequires:
# SystemRequirements:
# Url: external homepage
