=== debian/changelog ===
octave (8.4.0-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:19:20 +0000

octave (8.4.0-1build4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:13:32 +0000

octave (8.4.0-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:07:01 +0000

octave (8.4.0-1build2) noble; urgency=medium

  * No-change rebuild against libarpack2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 07:33:21 +0000

octave (8.4.0-1build1) noble; urgency=medium

  * Rebuild against new libcholmod5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 17:44:28 +0100

octave (8.4.0-1) unstable; urgency=medium

  * New upstream version 8.4.0
  * mkoctfile-skip-options.patch: drop patch, applied upstream
  * Add lintian override for false positive related to documentation source
  * Remove no longer needed lintian overrides related to changelog trimming
  * Drop transitional liboctave-dev package
  * Drop old Breaks relationships
  * Drop workarounds for mipsel and kfreebsd-*, those archs have been removed
  * README.Debian:
    + update section about optimized BLAS implementations
    + mention the new XDG-compliant location for octaverc

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Nov 2023 11:10:01 +0100

octave (8.3.0-3) unstable; urgency=medium

  * d/p/mkoctfile-skip-options.patch: Update patch.
    Thanks to Markus Mützel <markus.muetzel@gmx.de> (Closes: #1052973)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Sep 2023 10:35:07 -0300
