=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: octave
-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Section: math
@@ -77,8 +78,6 @@
             octave-doc
 Suggests: octave-dev
 Provides: ${octave-abi:Provides}
-Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6, liboctave7, liboctave8,
-        octave-nlopt (<< 2.6.1-8~)
 Description: GNU Octave language for numerical computations
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -144,8 +143,6 @@
          gcc,
          g++
 Enhances: octave
-Breaks: liboctave-dev (<< 6.3.0-1)
-Replaces: liboctave-dev (<< 6.3.0-1)
 Description: development files for the GNU Octave language
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -153,12 +150,3 @@
  .
  This package provides the header files and the mkoctfile script used for
  extending Octave via compiled code.
-
-Package: liboctave-dev
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         octave-dev
-Description: transitional dummy package for GNU Octave development
- The only purpose of this package is to ensure a smooth upgrade to the new
- 'octave-dev' package which replaces 'liboctave-dev'. It can be safely removed.
