=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,17 @@
 
 # Configure default Java paths using javahelper except on some archs.
 # We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
-# The following arches do not have OpenJDK 9: hppa, hurd-*, kfreebsd-*
+# The following arches do not have OpenJDK 9: hppa, hurd-*
 # The following arches have crashes with Java
 # - as of OpenJDK 9: armel
-# - as of OpenJDK 10: mipsel, powerpc
+# - as of OpenJDK 10: powerpc
 # This arch list must be kept in sync with the arch list qualifying
 # default-jre in debian/control.
 # The arch list qualifying default-jdk in the Build-Depends should be a subset
 # of $(NO_JDK_ARCHS) (it’s the archs that really do not have a JDK, see also
 # #947959).
 include /usr/share/dpkg/architecture.mk
-NO_JDK_ARCHS := armel hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc
+NO_JDK_ARCHS := armel hppa hurd-i386 powerpc
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 WITH_JAVA_FLAGS := --disable-java
 else
@@ -35,15 +35,6 @@
 ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_configure:
 DOC_FLAG := --disable-docs
-endif
-
-# On mipsel, disable debugging symbols. Otherwise, it FTBFS because the
-# assembler hits the virtual space memory limit of 2GB. See e.g.
-# https://buildd.debian.org/status/fetch.php?pkg=octave&arch=mipsel&ver=5.1.0-2&stamp=1569871716
-# See also this thread:
-# https://lists.debian.org/debian-devel/2019/08/msg00171.html
-ifeq ($(DEB_HOST_ARCH),mipsel)
-export DEB_CXXFLAGS_MAINT_STRIP := -g
 endif
 
 # Get the current API version
